Subject: Re: [PATCH] git-remote-testpy: fix patch hashing on Python 3

From: John Keeping <[email-masked]>
Date: Sun, 27 Jan 2013 22:42:08 +0000

On Sun, Jan 27, 2013 at 12:47:09PM -0800, Junio C Hamano wrote:
> I remember that I earlier asked somewhere if we want to say "Python
> 3.x that is older than 3.y is unsupported"
> 
>     http://thread.gmane.org/gmane.comp.version-control.git/213920/focus=213926
> 
> but I was told that we will support all versions in 3.x series, IIRC.
> 
> Does this patch contradict with that?  If so I think we would need
> to revisit the update to CodingGuidelines in that thread.

Yes.  I'll send an update to that over the next couple of days.

I think 3.1 and later is fine, when I said "Python 3.0 is unsupported"
in the commit message below, I meant "unsupported by the Python
developers".  Support ended at least 3 months ago:

    http://hg.python.org/peps/rev/6d2e9d41dfaa

John